diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index 1670333..c0148ba 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -6,7 +6,6 @@ import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/custom_app_bar.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
 import 'package:penyaluran_app/app/widgets/status_badge.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/penerima_penyaluran_model.dart';
 import 'package:url_launcher/url_launcher.dart';
 
@@ -139,19 +138,33 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               // Informasi laporan
               Card(
                 margin: EdgeInsets.zero,
-                elevation: 2,
+                elevation: 3,
                 shape: RoundedRectangleBorder(
-                  borderRadius: BorderRadius.circular(12),
+                  borderRadius: BorderRadius.circular(16),
                 ),
                 child: Padding(
-                  padding: const EdgeInsets.all(16),
+                  padding: const EdgeInsets.all(20),
                   child: Column(
                     crossAxisAlignment: CrossAxisAlignment.start,
                     children: [
-                      const SectionHeader(
-                        title: 'Informasi Laporan',
+                      Row(
+                        children: [
+                          Icon(
+                            Icons.description,
+                            color: AppTheme.primaryColor,
+                            size: 24,
+                          ),
+                          const SizedBox(width: 10),
+                          const Text(
+                            'Informasi Laporan',
+                            style: TextStyle(
+                              fontSize: 18,
+                              fontWeight: FontWeight.bold,
+                            ),
+                          ),
+                        ],
                       ),
-                      const SizedBox(height: 16),
+                      const Divider(height: 25),
                       _buildInfoRow(
                         'Judul Laporan',
                         laporan.judul,
@@ -167,33 +180,46 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               if (penyaluran != null)
                 Card(
                   margin: EdgeInsets.zero,
-                  elevation: 2,
+                  elevation: 3,
                   shape: RoundedRectangleBorder(
-                    borderRadius: BorderRadius.circular(12),
+                    borderRadius: BorderRadius.circular(16),
                   ),
                   child: Padding(
-                    padding: const EdgeInsets.all(16),
+                    padding: const EdgeInsets.all(20),
                     child: Column(
                       crossAxisAlignment: CrossAxisAlignment.start,
                       children: [
-                        const SectionHeader(
-                          title: 'Informasi Penyaluran',
-                          // subtitle: 'Detail informasi penyaluran terkait',
+                        Row(
+                          children: [
+                            Icon(
+                              Icons.local_shipping,
+                              color: AppTheme.primaryColor,
+                              size: 24,
+                            ),
+                            const SizedBox(width: 10),
+                            const Text(
+                              'Informasi Penyaluran',
+                              style: TextStyle(
+                                fontSize: 18,
+                                fontWeight: FontWeight.bold,
+                              ),
+                            ),
+                          ],
                         ),
-                        const SizedBox(height: 16),
+                        const Divider(height: 25),
                         _buildInfoRow(
                             'Nama Penyaluran', penyaluran.nama ?? '-'),
                         _buildInfoRow(
                           'Tanggal Penyaluran',
                           penyaluran.tanggalPenyaluran != null
-                              ? DateTimeHelper.formatDateTime(
+                              ? FormatHelper.formatDateTime(
                                   penyaluran.tanggalPenyaluran!)
                               : '-',
                         ),
                         _buildInfoRow(
                           'Tanggal Selesai',
                           penyaluran.tanggalSelesai != null
-                              ? DateTimeHelper.formatDateTime(
+                              ? FormatHelper.formatDateTime(
                                   penyaluran.tanggalSelesai!)
                               : '-',
                         ),
@@ -203,19 +229,30 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                             'Status Penyaluran', penyaluran.status ?? '-'),
                         if (penyaluran.deskripsi != null &&
                             penyaluran.deskripsi!.isNotEmpty) ...[
-                          const SizedBox(height: 8),
-                          const Text(
+                          const SizedBox(height: 5),
+                          Text(
                             'Deskripsi Penyaluran:',
                             style: TextStyle(
                               fontSize: 14,
-                              fontWeight: FontWeight.bold,
-                              color: Colors.grey,
+                              color: Colors.grey[600],
+                              fontWeight: FontWeight.w500,
                             ),
                           ),
-                          const SizedBox(height: 4),
-                          Text(
-                            penyaluran.deskripsi!,
-                            style: const TextStyle(fontSize: 14),
+                          const SizedBox(height: 6),
+                          Container(
+                            width: double.infinity,
+                            padding: const EdgeInsets.all(16),
+                            decoration: BoxDecoration(
+                              color: Colors.grey.shade50,
+                              borderRadius: BorderRadius.circular(10),
+                              border: Border.all(color: Colors.grey.shade200),
+                            ),
+                            child: Text(
+                              penyaluran.deskripsi!,
+                              style: const TextStyle(
+                                fontSize: 15,
+                              ),
+                            ),
                           ),
                         ],
                       ],
@@ -230,19 +267,33 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                     const SizedBox(height: 24),
                     Card(
                       margin: EdgeInsets.zero,
-                      elevation: 2,
+                      elevation: 3,
                       shape: RoundedRectangleBorder(
-                        borderRadius: BorderRadius.circular(12),
+                        borderRadius: BorderRadius.circular(16),
                       ),
                       child: Padding(
-                        padding: const EdgeInsets.all(16),
+                        padding: const EdgeInsets.all(20),
                         child: Column(
                           crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
-                            const SectionHeader(
-                              title: 'Lokasi Penyaluran',
+                            Row(
+                              children: [
+                                Icon(
+                                  Icons.location_on,
+                                  color: AppTheme.primaryColor,
+                                  size: 24,
+                                ),
+                                const SizedBox(width: 10),
+                                const Text(
+                                  'Lokasi Penyaluran',
+                                  style: TextStyle(
+                                    fontSize: 18,
+                                    fontWeight: FontWeight.bold,
+                                  ),
+                                ),
+                              ],
                             ),
-                            const SizedBox(height: 16),
+                            const Divider(height: 25),
                             _buildInfoRow('Nama Lokasi',
                                 controller.lokasiPenyaluran['nama'] ?? '-'),
                             _buildInfoRow(
@@ -278,19 +329,29 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                 controller.lokasiPenyaluran['keterangan']
                                     .toString()
                                     .isNotEmpty) ...[
-                              const SizedBox(height: 16),
-                              const Text(
+                              const SizedBox(height: 5),
+                              Text(
                                 'Keterangan Lokasi:',
                                 style: TextStyle(
                                   fontSize: 14,
-                                  fontWeight: FontWeight.bold,
-                                  color: Colors.grey,
+                                  color: Colors.grey[600],
+                                  fontWeight: FontWeight.w500,
                                 ),
                               ),
-                              const SizedBox(height: 4),
-                              Text(
-                                controller.lokasiPenyaluran['keterangan'],
-                                style: const TextStyle(fontSize: 14),
+                              const SizedBox(height: 6),
+                              Container(
+                                width: double.infinity,
+                                padding: const EdgeInsets.all(16),
+                                decoration: BoxDecoration(
+                                  color: Colors.grey.shade50,
+                                  borderRadius: BorderRadius.circular(10),
+                                  border:
+                                      Border.all(color: Colors.grey.shade200),
+                                ),
+                                child: Text(
+                                  controller.lokasiPenyaluran['keterangan'],
+                                  style: const TextStyle(fontSize: 15),
+                                ),
                               ),
                             ],
                           ],
@@ -307,44 +368,99 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                     const SizedBox(height: 24),
                     Card(
                       margin: EdgeInsets.zero,
-                      elevation: 2,
+                      elevation: 3,
                       shape: RoundedRectangleBorder(
-                        borderRadius: BorderRadius.circular(12),
+                        borderRadius: BorderRadius.circular(16),
                       ),
                       child: Padding(
-                        padding: const EdgeInsets.all(16),
+                        padding: const EdgeInsets.all(20),
                         child: Column(
                           crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
-                            const SectionHeader(
-                              title: 'Stok Bantuan yang Digunakan',
+                            Row(
+                              children: [
+                                Icon(
+                                  Icons.inventory_2,
+                                  color: AppTheme.primaryColor,
+                                  size: 24,
+                                ),
+                                const SizedBox(width: 10),
+                                const Text(
+                                  'Stok Bantuan yang Digunakan',
+                                  style: TextStyle(
+                                    fontSize: 18,
+                                    fontWeight: FontWeight.bold,
+                                  ),
+                                ),
+                              ],
                             ),
-                            const SizedBox(height: 16),
+                            const Divider(height: 25),
 
                             // Informasi kategori bantuan jika tersedia
                             if (controller.kategoriBantuan.isNotEmpty) ...[
                               Container(
-                                padding: const EdgeInsets.all(12),
+                                padding: const EdgeInsets.all(16),
                                 decoration: BoxDecoration(
-                                  color: Colors.blue.shade50,
-                                  borderRadius: BorderRadius.circular(10),
-                                  border:
-                                      Border.all(color: Colors.blue.shade100),
+                                  gradient: LinearGradient(
+                                    colors: [
+                                      Colors.blue.shade100,
+                                      Colors.blue.shade50,
+                                    ],
+                                    begin: Alignment.topLeft,
+                                    end: Alignment.bottomRight,
+                                  ),
+                                  borderRadius: BorderRadius.circular(12),
+                                  boxShadow: [
+                                    BoxShadow(
+                                      color: Colors.grey.withOpacity(0.1),
+                                      blurRadius: 4,
+                                      offset: const Offset(0, 2),
+                                    ),
+                                  ],
                                 ),
                                 child: Column(
                                   crossAxisAlignment: CrossAxisAlignment.start,
                                   children: [
                                     Row(
                                       children: [
-                                        Icon(Icons.category,
-                                            color: Colors.blue.shade700),
-                                        const SizedBox(width: 8),
-                                        Text(
-                                          'Kategori Bantuan: ${controller.kategoriBantuan['nama'] ?? 'Tidak Diketahui'}',
-                                          style: TextStyle(
-                                            fontWeight: FontWeight.bold,
-                                            fontSize: 16,
-                                            color: Colors.blue.shade800,
+                                        Container(
+                                          padding: const EdgeInsets.all(8),
+                                          decoration: BoxDecoration(
+                                            color: Colors.white,
+                                            borderRadius:
+                                                BorderRadius.circular(8),
+                                          ),
+                                          child: Icon(
+                                            Icons.category,
+                                            color: Colors.blue.shade700,
+                                            size: 20,
+                                          ),
+                                        ),
+                                        const SizedBox(width: 12),
+                                        Expanded(
+                                          child: Column(
+                                            crossAxisAlignment:
+                                                CrossAxisAlignment.start,
+                                            children: [
+                                              const Text(
+                                                'Kategori Bantuan',
+                                                style: TextStyle(
+                                                  fontSize: 13,
+                                                  color: Colors.black54,
+                                                ),
+                                              ),
+                                              const SizedBox(height: 4),
+                                              Text(
+                                                controller.kategoriBantuan[
+                                                        'nama'] ??
+                                                    'Tidak Diketahui',
+                                                style: TextStyle(
+                                                  fontWeight: FontWeight.bold,
+                                                  fontSize: 16,
+                                                  color: Colors.blue.shade800,
+                                                ),
+                                              ),
+                                            ],
                                           ),
                                         ),
                                       ],
@@ -352,21 +468,56 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
                                     if (controller
                                             .kategoriBantuan['deskripsi'] !=
                                         null) ...[
-                                      const SizedBox(height: 8),
-                                      Text(
-                                        controller.kategoriBantuan['deskripsi'],
-                                        style: TextStyle(
-                                          color: Colors.blue.shade700,
-                                          fontSize: 14,
+                                      const SizedBox(height: 12),
+                                      Container(
+                                        padding: const EdgeInsets.all(12),
+                                        decoration: BoxDecoration(
+                                          color: Colors.white.withOpacity(0.7),
+                                          borderRadius:
+                                              BorderRadius.circular(8),
+                                        ),
+                                        child: Row(
+                                          children: [
+                                            Icon(
+                                              Icons.info_outline,
+                                              size: 16,
+                                              color: Colors.blue.shade800,
+                                            ),
+                                            const SizedBox(width: 8),
+                                            Expanded(
+                                              child: Text(
+                                                controller.kategoriBantuan[
+                                                    'deskripsi'],
+                                                style: TextStyle(
+                                                  color: Colors.blue.shade700,
+                                                  fontSize: 14,
+                                                ),
+                                              ),
+                                            ),
+                                          ],
                                         ),
                                       ),
                                     ],
                                   ],
                                 ),
                               ),
-                              const SizedBox(height: 16),
+                              const SizedBox(height: 20),
                             ],
 
+                            // Label daftar stok bantuan
+                            Padding(
+                              padding:
+                                  const EdgeInsets.only(bottom: 15, left: 4),
+                              child: Text(
+                                'Daftar Stok Bantuan',
+                                style: TextStyle(
+                                  fontSize: 16,
+                                  fontWeight: FontWeight.w600,
+                                  color: Colors.grey[800],
+                                ),
+                              ),
+                            ),
+
                             // Daftar stok bantuan
                             ListView.builder(
                               shrinkWrap: true,
